Bug 354115 - One of the screens stays blank after energy saving mode
Summary: One of the screens stays blank after energy saving mode
Status: RESOLVED WORKSFORME
Alias: None
Product: kwin
Classification: Plasma
Component: xrandr (show other bugs)
Version: 5.4.1
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-20 06:41 UTC by Fabian
Modified: 2017-04-05 18:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian 2015-10-20 06:41:01 UTC
I have a 3 monitor setup.
I lock the session and turn of the monitors in the evening, when I turn them back on in the morning, unlock the system, it happens sometimes that the third one stays blank. 
I can still move the mouse to the third monitor and the workspace switching applet still seems to show the whole workspace.
I tried to disable / enable the monitor in the control center but without effect. Only logout login seems to help.

It only happens since updating last week (probably 5.4.0 -> 5.4.1).

Reproducible: Sometimes

Steps to Reproduce:
1. Lock the session
2. Turn of the monitors
3. Let the system sit idle for some hours
4. Unlock the session

Actual Results:  
Third monitor stays blank

Expected Results:  
Monitors turnrs on
Comment 1 Martin Flöser 2015-10-20 06:43:32 UTC
> I can still move the mouse to the third monitor

Is the cursor shown when you do that?
Comment 2 Fabian 2015-10-20 06:47:41 UTC
No its not, but its not staying on the screen edge of the second monitor like when moving it to any workspace edge. After moving it into the third monitor, I have to move it some distance till it reappears.
Comment 3 Martin Flöser 2015-10-20 06:54:00 UTC
ok, now please provide output of:
xrandr

and

qdbus org.kde.KWin /KWin supportInformation
Comment 4 Fabian 2015-10-20 06:56:27 UTC
http://paste.opensuse.org/75120042
Comment 5 Martin Flöser 2015-10-20 07:01:57 UTC
Copying here as pastes get deleted:
Screen 0: minimum 320 x 200, current 5120 x 1080, maximum 8192 x 8192
HDMI-0 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 477mm x 268mm
   1920x1080     60.00*+
   1680x1050     59.88  
   1600x900      60.00  
   1280x1024     75.02    60.02  
   1280x800      59.91  
   1152x864      75.00  
   1280x720      60.00  
   1024x768      75.08    60.00  
   832x624       74.55  
   800x600       75.00    60.32  
   640x480       75.00    60.00  
   720x400       70.08  
DVI-0 connected primary 1920x1080+1920+0 (normal left inverted right x axis y axis) 477mm x 268mm
   1920x1080     60.00*+
   1680x1050     59.88  
   1600x900      60.00  
   1280x1024     75.02    60.02  
   1280x800      59.91  
   1152x864      75.00  
   1280x720      60.00  
   1024x768      75.08    60.00  
   832x624       74.55  
   800x600       75.00    60.32  
   640x480       75.00    60.00  
   720x400       70.08  
VGA-0 connected 1280x1024+3840+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024     60.02 +  75.02* 
   1024x768      75.08    72.00    70.07    60.00  
   800x600       72.19    75.00    60.32    56.25  
   848x480       60.00  
   640x480       75.00    72.81    60.00    59.94  
   720x400       70.08  




KWin-Unterstützungsinformationen:
Benutzen Sie die folgenden Informationen, wenn Sie nach Unterstützung fragen, z. B. auf http://forum.kde.org.
Sie enthalten Informationen über die momentan laufende Instanz, welche Optionen verwendet werden,
welcher OpenGL-Treiber verwendet wird und welche Effekte laufen.
Bitte geben Sie die untenstehenden Informationen bei einem Pastebin-Dienst wie http://paste.kde.org ein, anstatt sie direkt in die Hilfediskussionen zu schreiben.                                                                                                                
                                                                                                                                         
==========================                                                                                                               
                                                                                                                                         
Version                                                                                                                                  
=======                                                                                                                                  
KWin version: 5.4.1                                                                                                                      
Qt Version: 5.5.0                                                                                                                        
Qt compile version: 5.5.0                                                                                                                
XCB compile version: 1.11.1                                                                                                              
                                                                                                                                         
Operation Mode: X11 only                                                                                                                 
                                                                                                                                         
Build Options                                                                                                                            
=============                                                                                                                            
KWIN_BUILD_DECORATIONS: yes                                                                                                              
KWIN_BUILD_TABBOX: yes                                                                                                                   
KWIN_BUILD_ACTIVITIES: yes                                                                                                               
HAVE_WAYLAND: yes                                                                                                                        
HAVE_WAYLAND_EGL: yes                                                                                                                    
HAVE_WAYLAND_CURSOR: yes                                                                                                                 
HAVE_XKB: yes                                                                                                                            
HAVE_INPUT: yes                                                                                                                          
HAVE_DRM: yes                                                                                                                            
HAVE_GBM: yes                                                                                                                            
HAVE_X11_XCB: yes                                                                                                                        
                                                                                                                                         
X11
===
Vendor: The X.Org Foundation
Vendor Release: 11702000
Protocol Version/Revision: 11/0
SHAPE: yes; Version: 0x11
RANDR: yes; Version: 0x14
DAMAGE: yes; Version: 0x11
Composite: yes; Version: 0x4
RENDER: yes; Version: 0xb
XFIXES: yes; Version: 0x50
SYNC: yes; Version: 0x31
GLX: yes; Version: 0x0

Decoration
==========
Plugin: org.kde.breeze
Theme: 
Blur: 0
onAllDesktopsAvailable: true
alphaChannelSupported: true
closeOnDoubleClickOnMenu: false
decorationButtonsLeft: 0, 2
decorationButtonsRight: 6, 3, 4, 5
borderSize: 3
gridUnit: 10
font: Oxygen-Sans,10,-1,0,50,0,0,0,0,0
smallSpacing: 2
largeSpacing: 10

Options
=======
focusPolicy: 0
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
placement: 4
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
rollOverDesktops: true
focusStealingPreventionLevel: 1
legacyFullscreenSupport: false
operationTitlebarDblClick: 5015
operationMaxButtonLeftClick: 5000
operationMaxButtonMiddleClick: 5015
operationMaxButtonRightClick: 5014
commandActiveTitlebar1: 0
commandActiveTitlebar2: 30
commandActiveTitlebar3: 2
commandInactiveTitlebar1: 4
commandInactiveTitlebar2: 30
commandInactiveTitlebar3: 2
commandWindow1: 7
commandWindow2: 8
commandWindow3: 8
commandWindowWheel: 31
commandAll1: 10
commandAll2: 3
commandAll3: 14
keyCmdAllModKey: 16777251
showGeometryTip: false
condensedTitle: false
electricBorderMaximize: false
electricBorderTiling: true
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
inactiveTabsSkipTaskbar: false
autogroupSimilarWindows: false
autogroupInForeground: true
compositingMode: 2
useCompositing: true
compositingInitialized: true
hiddenPreviews: 1
unredirectFullscreen: false
glSmoothScale: 2
colorCorrected: false
xrenderSmoothScale: true
maxFpsInterval: 16666666
refreshRate: 0
vBlankTime: 6000000
glStrictBinding: true
glStrictBindingFollowsDriver: true
glCoreProfile: false
glPreferBufferSwap: 97
glPlatformInterface: 1

Screen Edges
============
desktopSwitching: false
desktopSwitchingMovingClients: false
cursorPushBackDistance: 1x1
timeThreshold: 150
reActivateThreshold: 350
actionTopLeft: 0
actionTop: 0
actionTopRight: 0
actionRight: 0
actionBottomRight: 0
actionBottom: 0
actionBottomLeft: 0
actionLeft: 0

Screens
=======
Multi-Head: no
Active screen follows mouse:  no
Number of Screens: 3

Screen 0:
---------
Name: DVI-0
Geometry: 1920,0,1920x1080
Refresh Rate: 60

Screen 1:
---------
Name: HDMI-0
Geometry: 0,0,1920x1080
Refresh Rate: 60

Screen 2:
---------
Name: VGA-0
Geometry: 3840,0,1280x1024
Refresh Rate: 75.0247


Compositing
===========
Compositing is active
Compositing Type: XRender

Loaded Effects:
---------------
zoom
kwin4_effect_login
slidingpopups
kwin4_effect_windowaperture
kwin4_effect_translucency
screenshot
minimizeanimation
desktopgrid
kwin4_effect_maximize
kwin4_effect_fade
kwin4_effect_dialogparent
presentwindows
highlightwindow
logout
dashboard
screenedge
kscreen

Currently Active Effects:
-------------------------

Effect Settings:
----------------
zoom:
zoomFactor: 1.2
mousePointer: 0
mouseTracking: 0
enableFocusTracking: false
followFocus: true
focusDelay: 350
moveFactor: 20
targetZoom: 1

kwin4_effect_login:

slidingpopups:
fadeInTime: 150
fadeOutTime: 250

kwin4_effect_windowaperture:

kwin4_effect_translucency:

screenshot:

minimizeanimation:

desktopgrid:
zoomDuration: 300
border: 10
desktopNameAlignment: 0
layoutMode: 0
customLayoutRows: 2
usePresentWindows: true

kwin4_effect_maximize:

kwin4_effect_fade:

kwin4_effect_dialogparent:

presentwindows:
layoutMode: 0
showCaptions: true
showIcons: true
doNotCloseWindows: false
ignoreMinimized: false
accuracy: 20
fillGaps: true
fadeDuration: 150
showPanel: false
leftButtonWindow: 1
rightButtonWindow: 2
middleButtonWindow: 0
leftButtonDesktop: 2
middleButtonDesktop: 0
rightButtonDesktop: 0

highlightwindow:

logout:
useBlur: true

dashboard:
brightness: 0.5
saturation: 0.5
blur: false

screenedge:

kscreen:
Comment 6 Martin Flöser 2015-10-20 07:02:53 UTC
Just to verify: you collected this information when the problem is present?
Comment 7 Fabian 2015-10-20 07:07:57 UTC
Yes, the problem is still present. I did not logout so far.
Comment 8 Martin Flöser 2015-10-20 07:22:18 UTC
according to xrandr and kwin all three screens are enabled.

I think you hit a problem further down the stack. To me it looks like X failed to enable the screen. All powerdevil does is to tell X to go to DPMS state. Waking up from that state is completely handled inside X.
Comment 9 Thomas Lübking 2015-10-20 08:22:41 UTC
Try
   xset dpms force on
if it doesn't help
   xset dpms force off
all screens should turn off and, at least some of them, turn on when you move the mouse or hit a key etc.

But I doubt this will actually work.
Your right arm that the dead one is the HDMI one?
Comment 10 Fabian 2015-10-20 08:25:33 UTC
No the dead one was the VGA one.

I'll try xset dpms force next time it happens.
Comment 11 Thomas Lübking 2015-10-20 08:27:06 UTC
nvidia GPU/driver?
Comment 12 Fabian 2015-10-20 08:34:24 UTC
No Radeon
Xorg log: http://susepaste.org/51333752
Comment 13 Fabian 2015-11-11 11:10:22 UTC
The problem did not occur again for the last couple of weeks.
Comment 14 Martin Riethmayer 2016-03-11 07:33:26 UTC
Sorry for commenting on a "Resolved" issue, this is mainly to provide a solution that worked for me:
  xset dpms force off
did turn all monitors blank, moving the mouse then woke them all up. 
"xset dpms force on" did not work.
Should this be reported upstream? Where?

Additional info:
I sometimes have the same problem, but I'm on Kubuntu 14.04 LTS, KDE Platform Version 4.13.3
Version
=======
KWin version: 4.11.11
KDE SC version (runtime): 4.13.3
KDE SC version (compile): 4.13.2
Qt Version: 4.8.6
Comment 15 Martin Flöser 2016-03-24 08:15:04 UTC
(In reply to Martin Riethmayer from comment #14)
> Sorry for commenting on a "Resolved" issue, this is mainly to provide a
> solution that worked for me:
>   xset dpms force off
> did turn all monitors blank, moving the mouse then woke them all up. 
> "xset dpms force on" did not work.
> Should this be reported upstream? Where?

yes, that should be reported against X, if at all.